Holger's Java API

## com.antelmann.util.table
Class TextDialogCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              com.antelmann.util.table.AbstractDialogCellEditor<String>
                  com.antelmann.util.table.TextDialogCellEditor

All Implemented Interfaces:
  ValueRetriever<String>, ValueSetter<String>, Serializable, CellEditor, TableCellEditor, TreeCellEditor

    public class TextDialogCellEditor

extends AbstractDialogCellEditor<String>

provides a dialog using a `JTextComponent` to edit cell values; unless a `JTextField` is used, a `JScrollPane` is automatically employed.

Since:
  21. August 2007, 23:14
Author:
  Holger Antelmann
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor
`DefaultCellEditor.EditorDelegate`

Field Summary
`protected JTextComponent` `textComponent` if a `JTextArea` or a `JEditorPane` is used, the textComponent is wrapped into a `JScrollPane` in the `AbstractDialogCellEditor.dialogComponent`

Fields inherited from class com.antelmann.util.table.AbstractDialogCellEditor
`column, columnName, dialogComponent, dialogTitle, expanded, isSelected, leaf, row, table, tree`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`TextDialogCellEditor(JTextComponent textComponent, boolean resizable)`

Method Summary
`String` `getRelevantValue()` returns the relevant value for this instance at the time of calling
`JTextComponent` `getTextComponent()`
`void` `setRelevantValue(String txt)` sets the relevant value for this instance with the given value

Methods inherited from class com.antelmann.util.table.AbstractDialogCellEditor
`getCellEditorValue, getDialogComponent, getRelevantComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, isResizable, setResizable, showDialog, valueChanged`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getClickCountToStart, getComponent, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Field Detail

### textComponent

    protected final JTextComponent textComponent

  if a `JTextArea` or a `JEditorPane` is used, the textComponent is wrapped into a `JScrollPane` in the `AbstractDialogCellEditor.dialogComponent`

Constructor Detail

### TextDialogCellEditor

    public TextDialogCellEditor(JTextComponent textComponent,
                                boolean resizable)

Method Detail

### getTextComponent

    public JTextComponent getTextComponent()

### getRelevantValue

    public String getRelevantValue()

  Description copied from interface: `ValueRetriever`
  returns the relevant value for this instance at the time of calling

### setRelevantValue

    public void setRelevantValue(String txt)
                          throws Exception

  Description copied from interface: `ValueSetter`
  sets the relevant value for this instance with the given value

  Throws:
    `Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads